Skip to main content
GET
/
v6
/
conversations
/
{id}
Get conversation
curl --request GET \
  --url https://sandbox.tight.com/v6/conversations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "con_12345",
    "attachedEntityId": "<string>",
    "subject": "Transaction review needed",
    "author": {
      "userId": "<string>",
      "email": "user@example.com"
    },
    "latestMessage": {
      "id": "msg_67890",
      "author": {
        "userId": "<string>",
        "email": "user@example.com"
      },
      "text": "<string>"
    },
    "status": "ACTIVE",
    "readStatus": "UNREAD",
    "resolutionStatus": "OPEN",
    "createdDateTime": "2023-11-07T05:31:56Z",
    "lastUpdatedDateTime": "2023-11-07T05:31:56Z"
  },
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the conversation

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.

error
object[]